// client/src/Form.js

import React, { useState, useEffect } from "react";
import "./Tape.scss";

function Tape() {
	return (
		<svg
			xmlns="http://www.w3.org/2000/svg"
			width="592"
			height="378"
			viewBox="0 0 592 378"
		>
			<g fill="none" fill-rule="evenodd">
				<path
					d="M566.087542,-7.21627202e-11 C577.096046,-7.21627202e-11 586.020202,8.954305 586.020202,20 L586.020202,241.074222 C586.020202,242.17567 586.474386,243.228375 587.27566,243.984117 L590.744542,247.255883 C591.545816,248.011625 592,249.06433 592,250.165778 L592,339.347096 C592,340.405624 591.580422,341.420995 590.833193,342.170749 L587.187009,345.829251 C586.43978,346.579005 586.020202,347.594376 586.020202,348.652904 L586.020202,358 C586.020202,369.045695 577.096046,378 566.087542,378 L25.9124579,378 C14.9039538,378 5.97979798,369.045695 5.97979798,358 L5.97979798,347.652904 C5.97979798,346.594376 5.56022034,345.579005 4.81299077,344.829251 L1.16680721,341.170749 C0.419577638,340.420995 5.78612297e-14,339.405624 0,338.347096 L0,249.165778 C-8.55716505e-16,248.06433 0.454183727,247.011625 1.25545788,246.255883 L4.7243401,242.984117 C5.52561425,242.228375 5.97979798,241.17567 5.97979798,240.074222 L5.97979798,20 C5.97979798,8.954305 14.9039538,-7.21627202e-11 25.9124579,-7.21627202e-11 L566.087542,-7.21627202e-11 Z M436,334 C427.715729,334 421,340.715729 421,349 C421,357.284271 427.715729,364 436,364 C444.284271,364 451,357.284271 451,349 C451,340.715729 444.284271,334 436,334 Z M157,333 C148.715729,333 142,339.715729 142,348 C142,356.284271 148.715729,363 157,363 C165.284271,363 172,356.284271 172,348 C172,339.715729 165.284271,333 157,333 Z M379,330 C372.372583,330 367,335.372583 367,342 C367,348.627417 372.372583,354 379,354 C385.627417,354 391,348.627417 391,342 C391,335.372583 385.627417,330 379,330 Z M214,329 C207.372583,329 202,334.372583 202,341 C202,347.627417 207.372583,353 214,353 C220.627417,353 226,347.627417 226,341 C226,334.372583 220.627417,329 214,329 Z M417,133 C393.804041,133 375,151.804041 375,175 C375,198.195959 393.804041,217 417,217 C440.195959,217 459,198.195959 459,175 C459,151.804041 440.195959,133 417,133 Z M175,133 C151.804041,133 133,151.804041 133,175 C133,198.195959 151.804041,217 175,217 C198.195959,217 217,198.195959 217,175 C217,151.804041 198.195959,133 175,133 Z"
					id="Cassette"
					fill-opacity="0.5"
					fill="#FFFFFF"
					fill-rule="nonzero"
				></path>
				<path
					d="M175,117 C207.032515,117 233,142.967485 233,175 C233,207.032515 207.032515,233 175,233 C142.967485,233 117,207.032515 117,175 C117,142.967485 142.967485,117 175,117 Z M175,133 C151.804041,133 133,151.804041 133,175 C133,198.195959 151.804041,217 175,217 C198.195959,217 217,198.195959 217,175 C217,151.804041 198.195959,133 175,133 Z"
					id="Oval-2"
					fill="#8C8C8C"
				></path>
				<path
					d="M417,117 C449.032515,117 475,142.967485 475,175 C475,207.032515 449.032515,233 417,233 C384.967485,233 359,207.032515 359,175 C359,142.967485 384.967485,117 417,117 Z M417,133 C393.804041,133 375,151.804041 375,175 C375,198.195959 393.804041,217 417,217 C440.195959,217 459,198.195959 459,175 C459,151.804041 440.195959,133 417,133 Z"
					id="Oval-2"
					fill="#8C8C8C"
				></path>
				<g transform="matrix(1 0 0 1 375 133)">
					<g id="cogR" transform="translate(42,42)">
						<path
							d="M42,0C65.195960,0,84,18.804040,84,42C84,65.195960,65.195960,84,42,84C18.804040,84,0,65.195960,0,42C0,18.804040,18.804040,0,42,0ZM26.400047,15.198488L28.560047,18.898488C24.835799,21.084213,21.688262,24.128890,19.380047,27.778488L15.740047,25.478488C12.633257,30.420365,10.989823,36.141178,10.999953,41.978488L15.280047,41.978488C15.276722,46.314298,16.334122,50.585097,18.360047,54.418488L14.560047,56.418488C17.306763,61.603578,21.467776,65.903291,26.560047,68.818488L28.720047,65.098488C32.465826,67.256661,36.680243,68.471567,41.000047,68.638488L40.820047,72.938490L42.040047,72.938490C47.489083,72.939938,52.842237,71.505072,57.560047,68.778488L55.400047,65.058488C59.139422,62.887269,62.301696,59.848469,64.620047,56.198488L68.240047,58.498488C71.381913,53.547100,73.046993,47.802575,73.040091,41.938488L73.040091,41.838488L68.720047,41.918488C68.716401,37.581096,67.652159,33.310394,65.620047,29.478488L69.400047,27.478488C66.650286,22.300770,62.489552,18.008280,57.400047,15.098488L55.260047,18.818488C51.511292,16.672818,47.296716,15.471595,42.980047,15.318488L43.140047,11.018488C37.278745,10.817032,31.478632,12.265328,26.400047,15.198488Z"
							transform="translate(-42,-42)"
							fill="#ffffff"
							fill-rule="evenodd"
							stroke="none"
							stroke-width="1"
						/>
					</g>
				</g>
				<g transform="matrix(1 0 0 1 133 133)">
					<g id="cogL" transform="translate(42,42)">
						<path
							id="ecihrks71o5j9"
							d="M42,0C65.195960,0,84,18.804040,84,42C84,65.195960,65.195960,84,42,84C18.804040,84,0,65.195960,0,42C0,18.804040,18.804040,0,42,0ZM26.400047,15.198488L28.560047,18.898488C24.835799,21.084213,21.688262,24.128890,19.380047,27.778488L15.740047,25.478488C12.633257,30.420365,10.989823,36.141178,10.999953,41.978488L15.280047,41.978488C15.276722,46.314298,16.334122,50.585097,18.360047,54.418488L14.560047,56.418488C17.306763,61.603578,21.467776,65.903291,26.560047,68.818488L28.720047,65.098488C32.465826,67.256661,36.680243,68.471567,41.000047,68.638488L40.820047,72.938490L42.040047,72.938490C47.489083,72.939938,52.842237,71.505072,57.560047,68.778488L55.400047,65.058488C59.139422,62.887269,62.301696,59.848469,64.620047,56.198488L68.240047,58.498488C71.381913,53.547100,73.046993,47.802575,73.040091,41.938488L73.040091,41.838488L68.720047,41.918488C68.716401,37.581096,67.652159,33.310394,65.620047,29.478488L69.400047,27.478488C66.650286,22.300770,62.489552,18.008280,57.400047,15.098488L55.260047,18.818488C51.511292,16.672818,47.296716,15.471595,42.980047,15.318488L43.140047,11.018488C37.278745,10.817032,31.478632,12.265328,26.400047,15.198488Z"
							transform="translate(-42,-42)"
							fill="#ffffff"
							fill-rule="evenodd"
							stroke="none"
							stroke-width="1"
						/>
					</g>
				</g>
				<circle
					class="reelL"
					cx="175"
					cy="175"
					r="96"
					stroke="#5A5A5A"
					stroke-width="78"
				/>
				<circle
					class="reelR"
					cx="417"
					cy="175"
					r="62"
					stroke="#5A5A5A"
					stroke-width="10"
				/>
				<line
					x1="49"
					x2="545"
					y1="356"
					y2="356"
					stroke="#5A5A5A"
					stroke-width="3"
				/>
				<line
					class="tapeL"
					x1="31.4"
					x2="43.623"
					y1="337"
					y2="152.056"
					stroke="#5A5A5A"
					stroke-width="3"
				/>
				<line
					class="tapeR"
					x1="562"
					x2="477.629"
					y1="334"
					y2="150.655"
					stroke="#5A5A5A"
					stroke-width="3"
				/>
				<circle
					cx="49"
					cy="338"
					r="18"
					stroke="#FFF"
					stroke-width="4"
				/>
				<circle
					cx="544"
					cy="338"
					r="18"
					stroke="#FFF"
					stroke-width="4"
				/>
				<path
					fill="#FFF"
					fill-opacity=".5"
					d="M496.68844,278 C498.609663,278 500.259521,279.365901 500.618138,281.253357 L518.098138,373.253357 C518.510497,375.42367 517.085395,377.517338 514.915083,377.929698 C514.668953,377.976463 514.418973,378 514.16844,378 L95.9272485,378 C93.7181095,378 91.9272485,376.209139 91.9272485,374 C91.9272485,373.723764 91.9558632,373.448271 92.0126345,373.177931 L111.332634,281.177931 C111.721536,279.32602 113.354943,278 115.247248,278 L496.68844,278 Z M436,334 C427.715729,334 421,340.715729 421,349 C421,357.284271 427.715729,364 436,364 C444.284271,364 451,357.284271 451,349 C451,340.715729 444.284271,334 436,334 Z M157,333 C148.715729,333 142,339.715729 142,348 C142,356.284271 148.715729,363 157,363 C165.284271,363 172,356.284271 172,348 C172,339.715729 165.284271,333 157,333 Z M379,330 C372.372583,330 367,335.372583 367,342 C367,348.627417 372.372583,354 379,354 C385.627417,354 391,348.627417 391,342 C391,335.372583 385.627417,330 379,330 Z M214,329 C207.372583,329 202,334.372583 202,341 C202,347.627417 207.372583,353 214,353 C220.627417,353 226,347.627417 226,341 C226,334.372583 220.627417,329 214,329 Z"
					opacity=".6"
				/>
				<g transform="translate(14 8)">
					<circle
						cx="9"
						cy="9"
						r="9"
						fill="#FFF"
						fill-rule="nonzero"
					/>
					<path
						stroke="#5A5A5A"
						stroke-linecap="square"
						d="M9,13.5 L9,4.5 M4.5,9 L13.5,9"
						transform="rotate(45 9 9)"
					/>
				</g>
				<g transform="translate(560 8)">
					<circle
						cx="9"
						cy="9"
						r="9"
						fill="#FFF"
						fill-rule="nonzero"
					/>
					<path
						stroke="#5A5A5A"
						stroke-linecap="square"
						d="M9,13.5 L9,4.5 M4.5,9 L13.5,9"
						transform="rotate(45 9 9)"
					/>
				</g>
				<g transform="translate(560 352)">
					<circle
						cx="9"
						cy="9"
						r="9"
						fill="#FFF"
						fill-rule="nonzero"
					/>
					<path
						stroke="#5A5A5A"
						stroke-linecap="square"
						d="M9,13.5 L9,4.5 M4.5,9 L13.5,9"
						transform="rotate(45 9 9)"
					/>
				</g>
				<g transform="translate(14 352)">
					<circle
						cx="9"
						cy="9"
						r="9"
						fill="#FFF"
						fill-rule="nonzero"
					/>
					<path
						stroke="#5A5A5A"
						stroke-linecap="square"
						d="M9,13.5 L9,4.5 M4.5,9 L13.5,9"
						transform="rotate(45 9 9)"
					/>
				</g>
				<path
					id="label"
					fill="#FFF"
					d="M550,29 C554.418278,29 558,32.581722 558,37 L558,254 C558,258.418278 554.418278,262 550,262 L42,262 C37.581722,262 34,258.418278 34,254 L34,37 C34,32.581722 37.581722,29 42,29 L550,29 Z M417,118 L175,118 C143.519769,118 118,143.519769 118,175 C118,206.480231 143.519769,232 175,232 L175,232 L417,232 C448.480231,232 474,206.480231 474,175 C474,143.519769 448.480231,118 417,118 L417,118 Z"
				/>
			</g>
		</svg>
	);
}

export default Tape;
